Bug 1309129 - [abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Przerwany potok
[abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Er...
Status: CLOSED DUPLICATE of bug 1255259
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2d12818d364dc8e6a1d4aae9a43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 18:18 EST by Kuba H
Modified: 2016-03-14 08:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 05:02:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.68 KB, text/plain)
2016-02-16 18:18 EST, Kuba H
no flags Details
File: environ (67 bytes, text/plain)
2016-02-16 18:18 EST, Kuba H
no flags Details

  None (edit)
Description Kuba H 2016-02-16 18:18:04 EST
Version-Release number of selected component:
abrt-addon-ccpp-2.8.0-2.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --tmpdir /var/tmp/abrt-tmp-debuginfo.F9w68i --
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            173

Truncated backtrace:
__init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Przerwany potok

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 242, in <module>
    result = downloader.download(missing, download_exact_files=exact_fls)
  File "/usr/lib64/python3.4/site-packages/reportclient/debuginfo.py", line 320, in download
    self.initialize_repositories()
  File "/usr/lib64/python3.4/site-packages/reportclient/dnfdebuginfo.py", line 95, in initialize_repositories
    self.base.fill_sack()
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 256, in fill_sack
    self._add_repo_to_sack(r.id)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 111, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 810, in load
    self._handle_load(handle)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 568, in _handle_load
    return self._handle_load_core(handle)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 581, in _handle_load_core
    result = handle.perform()
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 210, in perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.4/site-packages/librepo/__init__.py", line 1425, in perform
    _librepo.Handle.perform(self, result)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 406, in _mirror_failure_cb
    logger.debug(msg)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1262, in debug
    self._log(DEBUG, msg, args, **kwargs)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1409, in _log
    self.handle(record)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1418, in handle
    if (not self.disabled) and self.filter(record):
  File "/usr/lib64/python3.4/logging/__init__.py", line 706, in filter
    for f in self.filters:
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 388, in _progress_cb
    def _progress_cb(self, cbdata, total, done):
  File "/usr/bin/abrt-action-install-debuginfo", line 46, in sigterm_handler
    clean_up()
TypeError: clean_up() missing 1 required positional argument: 'tmp_dir'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 244, in <module>
    error_msg_and_die("Can't download debuginfos: %s", ex)
  File "/usr/lib64/python3.4/site-packages/reportclient/__init__.py", line 84, in error_msg_and_die
    sys.stderr.write("%s\n" % (fmt % args))
BrokenPipeError: [Errno 32] Przerwany potok

Local variables in innermost frame:
args: (TypeError("clean_up() missing 1 required positional argument: 'tmp_dir'",),)
fmt: "Can't download debuginfos: %s"
Comment 1 Kuba H 2016-02-16 18:18:13 EST
Created attachment 1127744 [details]
File: backtrace
Comment 2 Kuba H 2016-02-16 18:18:15 EST
Created attachment 1127745 [details]
File: environ
Comment 3 Matej Habrnal 2016-02-17 05:02:35 EST
Thank you for the bug report. This particular bug has already been reported into our bug tracking system, but please feel free to report any further bugs you find.

*** This bug has been marked as a duplicate of bug 1255259 ***

Note You need to log in before you can comment on or make changes to this bug.